Skip to main content
GET
/
api
/
datasets
/
{dataset_id}
/
lineage
Get Dataset Lineage
curl --request GET \
  --url https://api.example.com/api/datasets/{dataset_id}/lineage \
  --header 'Authorization: Bearer <token>'
{
  "dataset_id": "<string>",
  "dataset_name": "<string>",
  "nodes": [
    {
      "id": "<string>",
      "type": "<string>",
      "label": "<string>",
      "description": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "actor": "<string>",
      "status": "<string>",
      "metadata": {}
    }
  ],
  "edges": [
    {
      "source": "<string>",
      "target": "<string>",
      "label": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

dataset_id
string
required

Cookies

antidote_session
string | null

Response

Successful Response

dataset_id
string
required
dataset_name
string
required
nodes
LineageNode · object[]
edges
LineageEdge · object[]